Build payments into your product with TPE virtual. Start integrating →
Logo

Bank accounts

Manage the bank accounts under an identification.

GET/bank-accounts

Authorization

oauth2 kyc:read
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:read

Query Parameters

page?integer
per_page?integer

At most 100.

search?string

Text to look for.

sort_by?string

Field to sort by.

sort_dir?string

Sort direction.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mytpe.app/api/ext/bank-accounts" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "owner": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "email": "user@example.com"
      },
      "account_number": "stringstringstringst",
      "bank_code": "string",
      "bank_name": "string",
      "bank_logo_url": "string",
      "status": "pending",
      "reason": "string",
      "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
      "identification": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "current_page": 0,
    "last_page": 0,
    "per_page": 100,
    "total": 0,
    "from": 0,
    "to": 0,
    "path": "string",
    "links": []
  },
  "links": {
    "first": "string",
    "last": "string",
    "prev": "string",
    "next": "string"
  }
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
POST/bank-accounts

Authorization

oauth2 kyc:write
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:write

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.mytpe.app/api/ext/bank-accounts" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \  -H "Content-Type: application/json" \  -d '{"account_number": "your-20-digit-rib", "identification_id": "your-identification-id"}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "owner": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email": "user@example.com"
    },
    "account_number": "stringstringstringst",
    "bank_code": "string",
    "bank_name": "string",
    "bank_logo_url": "string",
    "status": "pending",
    "reason": "string",
    "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
    "identification": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "meta": {},
  "error": null
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
GET/bank-accounts/{bankAccount}

Authorization

oauth2 kyc:read
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:read

Path Parameters

bankAccount*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.mytpe.app/api/ext/bank-accounts/your-bankAccount" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "owner": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email": "user@example.com"
    },
    "account_number": "stringstringstringst",
    "bank_code": "string",
    "bank_name": "string",
    "bank_logo_url": "string",
    "status": "pending",
    "reason": "string",
    "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
    "identification": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "meta": {},
  "error": null
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
DELETE/bank-accounts/{bankAccount}

Authorization

oauth2 kyc:write
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:write

Path Parameters

bankAccount*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.mytpe.app/api/ext/bank-accounts/your-bankAccount" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"
{
  "message": "string"
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
PUT/bank-accounts/{bankAccount}

Authorization

oauth2 kyc:write
AuthorizationBearer <token>

A short-lived token for one installation.

In: header

Scope: kyc:write

Path Parameters

bankAccount*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.mytpe.app/api/ext/bank-accounts/your-bankAccount" \  -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \  -H "Content-Type: application/json" \  -d '{"account_number": "your-20-digit-rib"}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "owner": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email": "user@example.com"
    },
    "account_number": "stringstringstringst",
    "bank_code": "string",
    "bank_name": "string",
    "bank_logo_url": "string",
    "status": "pending",
    "reason": "string",
    "identification_id": "a56e8e84-dbe6-4202-a30e-1c3cb0ec2163",
    "identification": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "meta": {},
  "error": null
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}
{
  "errors": [
    {
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "meta": []
    }
  ]
}

On this page